View Issue Details

IDProjectCategoryView StatusLast Update
0007493VALENTINA STUDIOTool - Schema Editorpublic2016-02-22 17:51
ReporterSergio Zordan Assigned ToSergey Pashkov  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformIntelOSWindowsOS Version10
Product Version6.3.x 
Target Version6.3.xFixed in Version6.3.x 
Summary0007493: Generate SQL: problem with default values
DescriptionIf you make a right click on a table in the schema editor, and select "Generate SQL" -> "Create...", the resulting SQL has a glitch on the DEFAULT values: the numeric values are treated as character, like in the following example.
CREATE TABLE "public"."table_name" (
"cd_field" Integer NOT NULL,
"dt_field" Date NOT NULL,
"nr_field" Numeric( 6, 2 ) DEFAULT '0', <---
...
TagsNo tags attached.
Working with DB:postgreSQL Server
Version of your DB:9.4

Activities

Sergio Zordan

Sergio Zordan

2016-02-16 18:27

reporter   ~0008805

As a side note, also the FOREIGN KEYs are missing from the create statement.
Sergey Pashkov

Sergey Pashkov

2016-02-22 17:51

developer   ~0008822

Fixed in the version 6.3.2.

Issue History

Date Modified Username Field Change
2016-02-16 18:16 Sergio Zordan New Issue
2016-02-16 18:27 Sergio Zordan Note Added: 0008805
2016-02-17 08:42 Sergey Pashkov Assigned To => Sergey Pashkov
2016-02-17 08:42 Sergey Pashkov Status new => assigned
2016-02-22 17:51 Sergey Pashkov Note Added: 0008822
2016-02-22 17:51 Sergey Pashkov Status assigned => resolved
2016-02-22 17:51 Sergey Pashkov Resolution open => fixed
2016-02-22 17:51 Sergey Pashkov Product Version => 6.3.x
2016-02-22 17:51 Sergey Pashkov Fixed in Version => 6.3.x
2016-02-22 17:51 Sergey Pashkov Target Version => 6.3.x